Skip to content
MothershipDevelopers

API referenceAddress Book

List address book entries

This endpoint lists the locations saved in your organization's address book, most recently changed first.

GET/address-book
Environment
https://sandbox.api.mothership.com/beta
curl --request GET \
  --url 'https://sandbox.api.mothership.com/beta/address-book' \
  --header "Authorization: Bearer $MOTHERSHIP_API_TOKEN" \
  --header 'Accept: application/json'
Reads your token from $MOTHERSHIP_API_TOKEN
Response
{
: {
: [
{
: "3f1c2a9e-5b7d-4e8a-9c61-2d4f8b0e7a15",
: "string",
: "Chemtrec",
: ,5 keys
: "string",
: "0900",
: "1700",
: ,6 keys
: ,6 keys
: "2026-03-19T17:00:00.000Z",
: "2026-03-19T17:00:00.000Z"
}
],
: 1,
: 25,
: 1,
: true
}
}

Hover a key to see what it means. Click it to jump to the field.

Authorization: Bearer <token>

Your sandbox API token. See Authentication.

  • perPageinteger

    Maximum number of entries returned for each page - if not provided, this will default to 25

    Defaults to 25min 1max 100
  • pageinteger

    Page to return, starting at 1. Defaults to 1.

    Defaults to 1min 1
    • dataobjectRequired
      • resultsarray of objectsRequired

        Entries on this page, most recently changed first

      • pageintegerRequired

        Current page of entries

        min 1
      • perPageintegerRequired

        Maximum number of entries returned for each page

        min 1
      • totalintegerRequired

        Number of entries in the address book

        min 0
      • hasMorebooleanRequired

        True if more entries can be fetched from a subsequent page